## chmlib 0.40

=== debian/changelog ===
chmlib (2:0.40-3) unstable; urgency=low

  * debian/source/format:
    + Use source format 3.0 (quilt)
  * debian/control:
    + Updated to Standards-Version 3.8.4
    + Wrapped up long description
  * debian/copyright:
    + Updated as per DEP-5 specifications
    + Added Debian package copyright

 -- Kartik Mistry <kartik@debian.org>  Wed, 19 May 2010 08:33:30 +0530

chmlib (2:0.40-2) unstable; urgency=low

  * Removal of .la and .a files as part of release goal
  * debian/control:
    + Updated to Standards-Version 3.8.3
    + Wrapped Build-Depends
  * debian/libchm-dev.install:
    + Do not install.la and .a files in package
  * Added debian/README.source file

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Aug 2009 16:37:22 +0530

chmlib (2:0.40-1) unstable; urgency=low

  * New upstream release (Closes: #532571)
    + Fixed bashism in /bin/sh scripts (Closes: #530116)
    + Fixed chm_http craches due to segmentation fault on massive
      fetching (Closes: #449209)
  * debian/control:
    + Updated to Standards-Version 3.8.2 (no changes needed)
  * debian/copyright:
    + Removed versionless symlink to license texts
  * debian/patches/src_Makefile.in.diff:
    + Updated for new version

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Jul 2009 14:33:30 +0530

chmlib (2:0.39-10) unstable; urgency=low

  * debian/control:
    + Updated my email address
    + Updated to Standards-Version 3.8.0 (no changes needed)
  * debian/:
    + [Lintian] Added symbols control file

 -- Kartik Mistry <kartik@debian.org>  Mon, 11 Aug 2008 11:58:52 +0530

chmlib (2:0.39-9) unstable; urgency=low

  * debian/rules:
    + Fixed FTBFS when converted to new source format quilt 3.0 by
      placing config.guess/config.sub section before ./configure call
      (Closes: #482725)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 27 May 2008 15:07:28 +0530

chmlib (2:0.39-8) unstable; urgency=high

  * Urgency set to high due to RC bug fix
  * debian/copyright:
    + Corrected license of package (LGPL-2+) and added src/lzx.* files
      license (GPL-2+) separately (Closes: #479649)
  * debian/libchm1.docs:
    + Added AUTHORS file in list

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 06 May 2008 09:21:28 +0530

chmlib (2:0.39-7) unstable; urgency=low

  * Moved previously applied patches to debian/patches using quilt
  * debian/control:
    + Added quilt support
    + Updated Homepage entry
    + Updated Standards-Version to 3.7.3 (no changes needed)
    + Fixed typo of 'Microsoft', Thanks to Miguel Gea Milvaques
      <xerakko@debian.org> for pointing
  * debian/rules:
    + Added line to use verbose mode
    + Added quilt support
    + Don't ignore errors in clean rule by removing -i from distclean
  * debian/copyright:
    + Updated link of license to GPL-2
  * debian/changelog:
    + Fixed typo of 'package' from previous upload changelog

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 08 Feb 2008 17:28:33 +0530

chmlib (2:0.39-6) unstable; urgency=low

  * Reverted libchm-bin package to real package from trasitional package,
    as test programs are useful in other way, Thanks to Paul Wise
    <pabs@debian.org> for pointing out
  * debian/control: moved homepage to real control field
  * Added debian/watch file
  * debian/rules: intended configure flags, changes related to libchm-bin
    package
  * debian/copyright: moved copyright out of license section

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 14 Nov 2007 17:14:45 +0530

chmlib (2:0.39-5) unstable; urgency=low

  * Improved all manpages, Thanks to Mohammed Adnène Trojette <adn+deb@diwi.org>
    for tips and patch
  * debian/rules: minor cleanups, better clean target, provides upstream
    changelog now using NEWS file
  * debian/copyright: text formatted to 80 chars
  * debian/control: added hompage to long descriptions

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 30 Jul 2007 11:35:03 +0530

chmlib (2:0.39-4) unstable; urgency=low

  * New Maintainer (Closes: #416954, #416972)
  * debian/copyright: formatted to standard copyright file
  * debian/control: added ${misc:Depends}, minor cleanups, made description
    meaningful shorter
  * Updated debhelper compability to 5
  * debian/rules: minor cleanups, config.guess/config.sub need to be present
    in .diff.gz
  * Merged libchm-bin into libchm-dev since separate dedicated package only for
    testing is not good idea
  * Added libchm-bin as a transition package
  * All manpages are now standard manpages, removed useless commented parts
  * debian/docs is prefixed now
  * Removed useless *.dirs files
  * Instead of moving files by hand using mv *.install is taking care now
  * Added libchm-dev.manpages to make debian/rules simple

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 07 Apr 2007 14:15:55 +0530

chmlib (2:0.39-3) unstable; urgency=low

  * Orphan package

 -- Julien Lemoine <speedblue@debian.org>  Sat, 31 Mar 2007 19:42:55 +0200

chmlib (2:0.39-2) unstable; urgency=low

  * Applied patch from Paul Wise to extract_chmLib to make it know
    the difference between empty files and directories inside a chm file.
    (Closes: #409439)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  3 Feb 2007 10:57:25 +0100

chmlib (2:0.39-1) unstable; urgency=high

  * New upstream release, fixed unsafe alloca() call (Closes: #408603)

 -- Julien Lemoine <speedblue@debian.org>  Sat, 27 Jan 2007 21:00:41 +0100

chmlib (0.380-2) unstable; urgency=low

  * Include patch of 0.38-3 reverted by error in upload of chmlib 0.380-1 :
    Fixed typo in debian/rules file :
    binaries were installed in /usr/bin/bin instead of /usr/bin in libchm-bin
    package (Closes: #383915)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 28 Aug 2006 20:42:27 +0200

chmlib (0.380-1) unstable; urgency=low

  * Fixed lintian warning : removed .svn directory from upstream sources

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 13:47:10 +0200

chmlib (0.38-2) unstable; urgency=low


