=== debian/control ===
Source: chmlib
Section: libs
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libtool
Homepage: http://www.jedrea.com/chmlib/
Standards-Version: 3.8.4

Package: libchm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xchm (<= 1.2.0-2)
Description: library for dealing with Microsoft CHM files
 It is a very simple library, but sufficient for dealing with all of the chm
 files. Library currently does not has write support.
 .
 CHM files are used on the Microsoft Windows platform to store program
 documentation, almost always in the form of HTML, with some non-standard
 quirks. CHM files are a form of archive known as InfoTech Storage Format
 (ITSF) files and contain some special files to implement features of the
 CHM viewer.

Package: libchm-dev
Architecture: any
Section: libdevel
Depends: libchm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libchm-bin (<< 2:0.39-6)
Description: library for dealing with Microsoft CHM files (development)
 It is a very simple library, but sufficient for dealing with all of the chm
 files. Library currently does not has write support.
 .
 CHM files are used on the Microsoft Windows platform to store program
 documentation, almost always in the form of HTML, with some non-standard
 quirks. CHM files are a form of archive known as InfoTech Storage Format
 (ITSF) files and contain some special files to implement features of the
 CHM viewer.
 .
 This package includes development headers, libraries and test programs.

Package: libchm-bin
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libchm-dev (<< 2:0.39-6)
Description: library for dealing with Microsoft CHM files (test programs)
 It is a very simple library, but sufficient for dealing with all of the chm
 files. Library currently does not has write support.
 .
 CHM files are used on the Microsoft Windows platform to store program
 documentation, almost always in the form of HTML, with some non-standard
 quirks. CHM files are a form of archive known as InfoTech Storage Format
 (ITSF) files and contain some special files to implement features of the
 CHM viewer.
 .
 This package includes test programs.
