=== debian/watch ===
version=3
http://www.jedrea.com/chmlib/chmlib-(.*)\.tar\.gz
