## chmlib 0.40a

=== debian/changelog ===
chmlib (2:0.40a-5) unstable; urgency=low

  [ Ondřej Nový ]
  * debian/copyright:
    + Use https protocol in Format field.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.2.1
    + Updated Homepage.
    + libchm-bin should not be in libdevel as it contains binaries
      only (test programs).
  * debian/symbols:
    + Added Build-Depends-Package field.

 -- Kartik Mistry <kartik@debian.org>  Tue, 04 Dec 2018 14:08:26 +0530

chmlib (2:0.40a-4) unstable; urgency=low

  * debian/control:
    + Updated debhelper dependency to 11.
    + Removed build-depends on dh-autoreconf.
    + Updated to Standards-Version 4.1.3
    + Updated Vcs-* URLs.
  * debian/copyright:
    + Updated to DEP-5 copyright format.
  * debian/rules:
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Tue, 16 Jan 2018 17:04:42 +0530

chmlib (2:0.40a-3) unstable; urgency=medium

  * debian/control:
    + Updated Standards-Version to 3.9.5
    + Added VCS-* URLs.
  * Use dh-autoreconf instead of autotools-dev (Closes: #733080).
    Thanks to Logan Rosen <logan@ubuntu.com> for patch.

 -- Kartik Mistry <kartik@debian.org>  Sun, 29 Dec 2013 19:25:28 +0530

chmlib (2:0.40a-2) unstable; urgency=low

  * debian/rules:
    + Enabled hardened build flags, Thanks to Moritz Muehlenhoff
      <jmm@debian.org> for patch. (Closes: #653955)
  * debian/copyright:
    + Fixed DEP5 URL.
    + Updated debian/* copyright year.

 -- Kartik Mistry <kartik@debian.org>  Mon, 02 Jan 2012 10:39:18 +0530

chmlib (2:0.40a-1) unstable; urgency=low

  * New upstream release:
    + Dropped all patches, merged upstream.
  * debian/copyright:
    + Updated to DEP-5 format.
  * debian/rules:
    + Added needed build targets.
  * debian/control:
    + Updated to Standards-Version 3.9.2.
    + Removed old conflicted version as they are no longer in Debian.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Nov 2011 19:38:26 +0530
