=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7),
-               autotools-dev,
-               libtool
-Homepage: http://www.jedrea.com/chmlib/
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1.1), libtool
+Standards-Version: 4.2.1
+Homepage: https://github.com/jedwing/CHMLib
+Vcs-Git: https://salsa.debian.org/debian/chmlib.git
+Vcs-Browser: https://salsa.debian.org/debian/chmlib
 
 Package: libchm1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: xchm (<= 1.2.0-2)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for dealing with Microsoft CHM files
  It is a very simple library, but sufficient for dealing with all of the chm
  files. Library currently does not has write support.
@@ -26,7 +25,6 @@
 Architecture: any
 Section: libdevel
 Depends: libchm1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libchm-bin (<< 2:0.39-6)
 Description: library for dealing with Microsoft CHM files (development)
  It is a very simple library, but sufficient for dealing with all of the chm
  files. Library currently does not has write support.
@@ -41,9 +39,8 @@
 
 Package: libchm-bin
 Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libchm-dev (<< 2:0.39-6)
+Section: utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for dealing with Microsoft CHM files (test programs)
  It is a very simple library, but sufficient for dealing with all of the chm
  files. Library currently does not has write support.
