=== debian/watch ===
version=4
http://www.jedrea.com/chmlib/chmlib-(.*)\.tar\.gz
